show_mouse(3)

NAME
show_mouse

SYNOPSIS
#include <allegro.h>

void show_mouse(BITMAP *bmp);

DESCRIPTION
Tells Allegro to display a mouse pointer on the screen. This will only work if the timer module has been installed. The mouse pointer will be drawn onto the specified bitmap, which should normally be 'screen' (see later for information about bitmaps). To hide the mouse pointer, call show_mouse(NULL). Warning: if you draw anything onto the screen while the pointer is visible, a mouse movement interrupt could occur in the middle of your drawing operation. If this happens the mouse buffering and SVGA bank switching code will get confused and will leave 'mouse droppings' all over the screen. To prevent this, you must make sure you turn off the mouse pointer whenever you draw onto the screen.

SEE ALSO
install_mouse(3), install_timer(3), set_mouse_sprite(3), scare_mouse(3), freeze_mouse_flag(3), exmouse(3), exshade(3), exspline(3)